***********************************************************************
*  Licensed Materials - Property of IBM                               *
*                                                                     *
*  (C) Copyright IBM Corp. 1996, 2006  All Rights Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with            *
*  IBM Corp.                                                          *
***********************************************************************

DELETE FROM O4SRV.TMANTMPL WHERE NAME = "MQSeries Manager";

/* Template status */
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MQSeries Manager";

/* Template states */
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MQSeries Manager";

/* Commands */
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD001";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD002";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD003";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD004";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD005";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD006";
DELETE FROM O4SRV.CCT WHERE KEY = "MQCMD007";
      
/* Situations */
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Appl_Msgs_Put_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Appl_MQ_RespTime_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Appl_MQI_Failures_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_Buffer_Shrt_Crt";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_Buffer_Shrt_Wrn";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_High_GetPage_IO";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_Buffer_Shrt_C";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_Buffer_Shrt_W";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Bufpool_High_GetPag_IO";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Channels_Indoubt";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_CICS_Channel_Stopped";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Dead_Letter";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_LogMgr_Buffer_Waits";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_LogMgr_High_Archiv_Read";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_LogMgr_High_Archv_Read";    
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_LogMgr_Reads_Delayed";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Manager_Inactive";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Manager_Inactive_Event";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_MQ_Channel_Stopped";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_PageSet_Unavailable";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_PageSet_Usage_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Depth_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Full";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Full_Until";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Service_Int_High";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Automation_ChlStart";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Automation_Fix_XmitQ";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_MQSecure_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Manager_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_No_Queue_Messages_Read";        
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Channel_Out_Of_Sync";        
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Cluster_QMgr_Suspended";        
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Logging_Suspended";        
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Delayed_Message_Group";        
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_High_Delayed_Messages";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_QMgr_Failed";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_QMgr_NotStarted";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_DB2_Failed";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_CFStruct_Failed";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_CFStruct_Inhibit";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_CFBackup_Delay";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_CFStruct_HighMem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_CFStruct_HighEnts";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_StrConn_Failed";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_QSG_Queue_HighUse";

DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Old_Message_On_Queue";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Not_Being_Read";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Queue_Manager_Quiesce";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Channel_Initiator_Prob";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Command_Server_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Listener_Not_Started";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Authority_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Inhibit_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Conversion_Error";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Channel_Autodef_Error";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Channel_SSL_Error";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Alias_Queue_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Local_Object_Unknown";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Remote_Queue_Problem";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="MQSeries_Remote_Queue_Error";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QM_APAL";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QM_APQL";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QM_APTL";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMCH_LH";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMCHANIN";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMERRLOG";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMLHBM";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMLHLM";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMLHMM";   
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMMSG_STAT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMPS_LH";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QMQ_LH";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_CFBKUP";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_CFCONN";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_CFSTR";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_CHANS";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_QMGR";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME="UADVISOR_KMQ_QSG_QUEUES";

DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMMQIACCT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMQ_ACCT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMMQISTAT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMQ_STAT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMCH_STAT";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMMQICDET";
DELETE FROM O4SRV.TSITDESC
    WHERE SITNAME = "UADVISOR_KMQ_QMMQIMDET";

/* Object activation list */
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Bufpool_Buffer_Shrt_Crt";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Bufpool_Buffer_Shrt_C";   
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Channels_Indoubt";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_CICS_Channel_Stopped";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Dead_Letter";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_MQ_Channel_Stopped";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Queue_Full";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_Queue_Manager_Problem";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_QSG_QMgr_Failed";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_QSG_DB2_Failed";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MQSeries_QSG_CFStruct_Failed";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QM_APAL";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QM_APQL";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QM_APTL";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMCH_LH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMCHANIN";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMLHBM";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMLHLM";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMLHMM";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMPS_LH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMQ_LH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMQ_ACCT";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMMQIACCT";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMMQISTAT";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMQ_STAT";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMCH_STAT";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMMQICDET";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KMQ_QMMQIMDET";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Old_Message_On_Queue";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Queue_Not_Being_Read";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Queue_Manager_Quiesce";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Channel_Initiator_Prob";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Command_Server_Problem";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Listener_Not_Started";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Authority_Problem";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Inhibit_Problem";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Conversion_Error";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Channel_Autodef_Error";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Channel_SSL_Error";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Alias_Queue_Problem";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Local_Object_Unknown";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Remote_Queue_Problem";
DELETE FROM O4SRV.TOBJACCL
    WHERE OBJNAME="MQSeries_Remote_Queue_Error";
/* Policies */


/* Policy activities */
